<!DOCTYPE html>
<html lang="ja">
<head>
	<meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css" integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">
    <link href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" rel="stylesheet">
    
    <title>ユーザー一覧</title>
  <link rel="stylesheet" href="css/common.css">
</head>
<body>
    <div class="container" id="container">

      <form class=inputform>
        <div class="username">
          <p>ユーザー名さん</p>
          <a class="logout" href="#">LOG OUT</a>
        </div>
        <h2>USER LIST</h2>
          <form action="" method="post">
              <div class="input-field form-group">
                <label class="title" for="exampleInputEmail1">
                  <i class="fa fa-user-circle" aria-hidden="true"></i>
                  LOGIN ID</label>
                
                <input required type="text" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">
              </div>
              <div class="input-field form-group">
                <label class="title" for="exampleInputPassword1">
                  <i onclick="show()" class="fa fa-eye" aria-hidden="true"></i>
                  PASSWORD</label>
                <input id="pswrd" required type="password" class="form-control" id="exampleInputPassword1">
            </div>
            <div class="input-field">
              <label class="title"><i class="mr-2 fas fa-birthday-cake"></i> BIRTH DAY</label><br>
                <div class="row date m-5">
                    <input class="col-sm-5" type="date" name="birthday" value="" class="date_input">
                    <p class="col-sm-1"> ~ </p>
                    <input class="col-sm-5" type="date" name="birthday" value="" class="date_input">
                </div>  
            </div> 
      
            <div >
              <button type="submit" class="btn search">検索</button>
            </div>
        </form>

        <table class="table table-striped mg-30px">
          <thead>
            <tr>
              <th scope="col">LOGIN ID</th>
              <th scope="col">NAME</th>
              <th scope="col">BIRTH DAY</th>
              <th scope="col"></th>
            </tr>
          </thead>
          <c:forEach var="user" items="${userList}" >
          <tbody>
            <tr>
              <th scope="row">${user.loginId}</th>
              <td>${user.name}</td>
              <td>${user.birthdate}</td>

              <td>
                <a class="btn" href="UserDetailServlet?id=${user.id}">削除</a>
                <a class="btn mx-2" href="UserDetailServlet?id=${user.id}">更新</a>
                <a class="btn" href="UserDetailServlet?id=${user.id}">詳細</a>
              </td>
            </tr>
          </tbody>
          </c:forEach>
        </table>
  </div>
  <script>
    function show(){
        var pswrd = document.getElementById('pswrd');
        var icon = document.querySelector('.fa-eye');
        if(pswrd.type === "password") {
            pswrd.type = "text";
            icon.style.color = "#1da1f2";
        }else{
            pswrd.type = "password";
            icon.style.color = "black";
        }
    }
</script>
</body>
</html>